#ifndef NatureObjects_hpp
#define NatureObjects_hpp

class NatureObject : public GameObject {
public:
	Texture* texture;
	sf::Sprite* sprite;
	sf::CircleShape* collider;

	NatureObject(float x, float y, float radius, Texture* texture=nullptr) : GameObject(x,y,radius) {
		this->texture = texture;
		sprite = new sf::Sprite();
		if (texture != nullptr)
		{
			sprite->setTexture(*texture->texture);
			sprite->setOrigin(texture->cx, texture->cy);
			sprite->setPosition(x, y);
		}

		collider = new sf::CircleShape(radius);
		collider->setOrigin(radius, radius);
		collider->setScale(1.0f, 0.5f);
		collider->setFillColor(sf::Color(128, 64, 64, 128));
		collider->setPosition(x, y);
		
			
	}

	~NatureObject() { }

	void update() { }

	void render(sf::RenderWindow* window) { 
		window->draw(*sprite);
		window->draw(*collider);
	}
};

#endif